/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.uinfo.inundationduration;

import java.util.LinkedHashMap;

import org.dive4elements.artifacts.Artifact;
import org.dive4elements.artifacts.CallMeta;
import org.dive4elements.river.artifacts.states.RadioSelect;
import org.dive4elements.river.artifacts.uinfo.UINFOArtifact;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class YearChoice extends RadioSelect {
    private static final long serialVersionUID = 1L;

    @Override
    protected LinkedHashMap<String, String> makeEntries(final CallMeta meta, final Artifact artifact) {
        // in helper-klasse; dann hier label lazy loaden
        final LinkedHashMap<String, String> entries = new LinkedHashMap<>();
        if (artifact != null) {// necessary; otherwise crashes randomly when reloading old calculations
            final InundationDurationAccess access = new InundationDurationAccess((UINFOArtifact) artifact);

            final UedauernPropertiesHelper helper = UedauernPropertiesHelper.getInstance(access.getRiverName());
            final LinkedHashMap<String, String> extras = helper.getExtraLayers(meta);
            entries.put("state.uinfo.year", null);
            entries.putAll(extras);
        }
        return entries;
    }

}